Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.xml.xmp
Class XmpSchema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<Object,Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema

All Implemented Interfaces:
  Serializable, Cloneable, Map<Object,Object>

Direct Known Subclasses:
  DublinCoreSchema, PdfA1Schema, PdfSchema, XmpBasicSchema, XmpMMSchema

    public abstract class XmpSchema

extends Properties

Abstract superclass of the XmpSchemas supported by iText.

See Also:
  Serialized Form

Field Summary
`protected String` | `xmlns` the namesspace

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`XmpSchema(String xmlns)` Constructs an XMP schema.

Method Summary
`Object` | `addProperty(String key, String value)`
`static String` | `escape(String content)`
`String` | `getXmlns()`
`protected void` | `process(StringBuffer buf, Object p)` Processes a property
`Object` | `setProperty(String key, LangAlt value)`
`Object` | `setProperty(String key, String value)`
`Object` | `setProperty(String key, XmpArray value)`
`String` | `toString()` The String representation of the contents.

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### xmlns

    protected String xmlns

  the namesspace

Constructor Detail

### XmpSchema

    public XmpSchema(String xmlns)

  Constructs an XMP schema.

  Parameters:
    `xmlns` -

Method Detail

### toString

    public String toString()

  The String representation of the contents.

  Overrides:
    `toString` in class `Hashtable<Object,Object>`
  Returns:
    a String representation.

### process

    protected void process(StringBuffer buf,
                           Object p)

  Processes a property

  Parameters:
    `buf` -
    `p` -

### getXmlns

    public String getXmlns()

  Returns:
    Returns the xmlns.

### addProperty

    public Object addProperty(String key,
                              String value)

  Parameters:
    `key` -
    `value` -
  Returns:
    the previous property (null if there wasn't one)

### setProperty

    public Object setProperty(String key,
                              String value)

  Overrides:
    `setProperty` in class `Properties`
  See Also:
    `Properties.setProperty(java.lang.String, java.lang.String)`

### setProperty

    public Object setProperty(String key,
                              XmpArray value)

  Parameters:
    `key` -
    `value` -
  Returns:
    the previous property (null if there wasn't one)
  See Also:
    `Properties.setProperty(java.lang.String, java.lang.String)`

### setProperty

    public Object setProperty(String key,
                              LangAlt value)

  Parameters:
    `key` -
    `value` -
  Returns:
    the previous property (null if there wasn't one)
  See Also:
    `Properties.setProperty(java.lang.String, java.lang.String)`

### escape

    public static String escape(String content)

  Parameters:
    `content` -
  Returns:
    an escaped string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD